### MATLAB_SBML_STRUCTURE_FUNCTIONS\RATERULE

The functions allow users to create and work with the SBML RateRule structure.

Function are:

#### RateRule = RateRule_create(level(optional), version(optional) )

Takes

1. level, an integer representing an SBML level (optional)
2. version, an integer representing an SBML version (optional)

Returns

1. a MATLAB_SBML RateRule structure of the appropriate level and version

NOTE: the optional level and version preserve backwards compatibility a missing version argument will default to L1V2; L2V4 or L3V1 missing both arguments will default to L3V1

#### formula = RateRule_getFormula(SBMLRateRule)

Takes

1. SBMLRateRule, an SBML RateRule structure

Returns

1. the value of the formula attribute

#### metaid = RateRule_getMetaid(SBMLRateRule)

Takes

1. SBMLRateRule, an SBML RateRule structure

Returns

1. the value of the metaid attribute

#### sboTerm = RateRule_getSBOTerm(SBMLRateRule)

Takes

1. SBMLRateRule, an SBML RateRule structure

Returns

1. the value of the sboTerm attribute

#### variable = RateRule_getVariable(SBMLRateRule)

Takes

1. SBMLRateRule, an SBML RateRule structure

Returns

1. the value of the variable attribute

#### value = RateRule_isSetFormula(SBMLRateRule)

Takes

1. SBMLRateRule, an SBML RateRule structure

Returns

1. value =
   - 1 if the formula attribute is set
   - 0 otherwise

#### value = RateRule_isSetMetaid(SBMLRateRule)

Takes

1. SBMLRateRule, an SBML RateRule structure

Returns

1. value =
   - 1 if the metaid attribute is set
   - 0 otherwise

#### value = RateRule_isSetSBOTerm(SBMLRateRule)

Takes

1. SBMLRateRule, an SBML RateRule structure

Returns

1. value =
   - 1 if the sboTerm attribute is set
   - 0 otherwise

#### value = RateRule_isSetVariable(SBMLRateRule)

Takes

1. SBMLRateRule, an SBML RateRule structure

Returns

1. value =
   - 1 if the variable attribute is set
   - 0 otherwise

#### SBMLRateRule = RateRule_setFormula(SBMLRateRule, formula)

Takes

1. SBMLRateRule, an SBML RateRule structure
2. formula; a string representing the formula to be set

Returns

1. the SBML RateRule structure with the new value for the formula attribute

#### SBMLRateRule = RateRule_setMetaid(SBMLRateRule, metaid)

Takes

1. SBMLRateRule, an SBML RateRule structure
2. metaid; a string representing the metaid to be set

Returns

1. the SBML RateRule structure with the new value for the metaid attribute

#### SBMLRateRule = RateRule_setSBOTerm(SBMLRateRule, sboTerm)

Takes

1. SBMLRateRule, an SBML RateRule structure
2. sboTerm, an integer representing the sboTerm to be set

Returns

1. the SBML RateRule structure with the new value for the sboTerm attribute

#### SBMLRateRule = RateRule_setVariable(SBMLRateRule, variable)

Takes

1. SBMLRateRule, an SBML RateRule structure
2. variable; a string representing the variable to be set

Returns

1. the SBML RateRule structure with the new value for the variable attribute

#### SBMLRateRule = RateRule_unsetFormula(SBMLRateRule)

Takes

1. SBMLRateRule, an SBML RateRule structure

Returns

1. the SBML RateRule structure with the formula attribute unset

#### SBMLRateRule = RateRule_unsetMetaid(SBMLRateRule)

Takes

1. SBMLRateRule, an SBML RateRule structure

Returns

1. the SBML RateRule structure with the metaid attribute unset

#### SBMLRateRule = RateRule_unsetSBOTerm(SBMLRateRule)

Takes

1. SBMLRateRule, an SBML RateRule structure

Returns

1. the SBML RateRule structure with the sboTerm attribute unset

#### SBMLRateRule = RateRule_unsetVariable(SBMLRateRule)

Takes

1. SBMLRateRule, an SBML RateRule structure

Returns

1. the SBML RateRule structure with the variable attribute unset